#!/bin/sh
set -eu

for n in $(seq 0 $((GIT_PUSH_OPTION_COUNT - 1))); do
	opt="$(eval "echo \$GIT_PUSH_OPTION_$n")"
	if [ "$opt" = skip-ci ] || [ "$opt" = ci-skip ]; then
		printf "\n'%s' option detected, not running ci-build.sh\n\n" "$opt"
		exit 0
	fi
done

PACKAGE="$(basename "$PWD" | cut -d. -f1)" # remove .git suffix
LOGS_DIR="/opt/ci/$PACKAGE/logs"
"/opt/ci/$PACKAGE/ci-build.sh" "$PACKAGE" "$LOGS_DIR"
